# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           metamorphose2
Version:        0.8.2
Release:        alt1_13
Summary:        A cross platform file and folder mass renamer

Group:          File tools
License:        GPLv2+
URL:            http://sourceforge.net/projects/file-folder-ren/
Source0:        http://downloads.sourceforge.net/file-folder-ren/%{name}_%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python desktop-file-utils 
Requires:       python-module-wx3.0 python-module-mutagen
Source44: import.info


%description
A cross platform file and folder mass renamer, allows many different
renaming operations in a GUI. Features include search and replace (with RE),
insert, numbering, date/time, id3 & EXIF tag read, change length, get all
files in sub-dirs, undo/redo, etc.


%prep
%setup -q -n %{name}_%{version}

sed -i -e "s|Categories=Utility;Filesystem;|Categories=Utility;System;|" metamorphose2.desktop

chmod -x src/operations/greekNumb.py src/EXIF.py src/mutagen/__init__.py

sed '/\/usr\/bin\/env/d' -i src/EXIF.py src/mutagen/__init__.py \
                            src/operations/greekNumb.py

%build


%install
make build DESTDIR=$RPM_BUILD_ROOT


mkdir -p $RPM_BUILD_ROOT%{_datadir}/man/man1/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_bindir}


make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor=""                                    \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications/              \
        %{name}.desktop

%find_lang %{name}



%files -f %{name}.lang
%{_datadir}/doc/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_13
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_12
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_10
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_9
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_8
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_7
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_6
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_5
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_4
- initial fc import

